package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.PurchaseInquiryItem;

/**
 * 报价单的采纳结果反映到卖家ERP
 * 
 * @author yingp
 * 
 */
public class QuotationDownDecide {

	private long b2b_id_id;
	private String qu_code;
	private Short qu_detno;
	private Short qu_agreed;

	public long getB2b_id_id() {
		return b2b_id_id;
	}

	public void setB2b_id_id(long b2b_id_id) {
		this.b2b_id_id = b2b_id_id;
	}

	public String getQu_code() {
		return qu_code;
	}

	public void setQu_code(String qu_code) {
		this.qu_code = qu_code;
	}

	public Short getQu_detno() {
		return qu_detno;
	}

	public void setQu_detno(Short qu_detno) {
		this.qu_detno = qu_detno;
	}

	public Short getQu_agreed() {
		return qu_agreed;
	}

	public void setQu_agreed(Short qu_agreed) {
		this.qu_agreed = qu_agreed;
	}

	public QuotationDownDecide() {
	}

	/**
	 * 转为卖家ERP的报价信息采纳结果
	 * 
	 * @param item
	 */
	public QuotationDownDecide(PurchaseInquiryItem item) {
		this.b2b_id_id = item.getId();
		this.qu_agreed = item.getAgreed();
		this.qu_code = item.getInquiry().getCode();
		this.qu_detno = item.getNumber();
	}

}
